• Русский
  • ArtifactVersion [app.alauda.io/v1alpha1]

    Description
    ArtifactVersion is the Schema for the artifactversions API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ArtifactVersionSpec defines the desired state of ArtifactVersion

    statusobject

    ArtifactVersionStatus defines the observed state of ArtifactVersion

    .spec

    Description
    ArtifactVersionSpec defines the desired state of ArtifactVersion
    Type
    object
    Required
    presenttag
    PropertyTypeDescription
    presentboolean
    tagstring

    .status

    Description
    ArtifactVersionStatus defines the observed state of ArtifactVersion
    Type
    object
    PropertyTypeDescription
    messagestring
    namestring
    phasestring

    INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file

    reasonstring
    typestring
    versionstring
    chartInfoobject

    ChartInfo defines the struct of chart info

    .status.chartInfo

    Description
    ChartInfo defines the struct of chart info
    Type
    object
    PropertyTypeDescription
    filesarray

    Files are miscellaneous files in a chart archive, e.g. README, LICENSE, etc.

    metadataObjectMeta

    Metadata is the contents of the Chartfile.

    valuesobject

    Values are default config for this chart.

    .status.chartInfo.files

    Description
    Files are miscellaneous files in a chart archive, e.g. README, LICENSE, etc.
    Type
    array

    .status.chartInfo.files[]

    Description
    File represents a file as a name/value pair. By convention, name is a relative path within the scope of the chart's base directory.
    Type
    object
    Required
    dataname
    PropertyTypeDescription
    datastring

    Data is the template as byte data.

    namestring

    Name is the path-like name of the template.

    .status.chartInfo.values

    Description
    Values are default config for this chart.
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifactversions
      • DELETE: delete collection of ArtifactVersion
      • GET: list objects of kind ArtifactVersion
      • POST: create a new ArtifactVersion
    • /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifactversions/{name}
      • DELETE: delete the specified ArtifactVersion
      • GET: read the specified ArtifactVersion
      • PATCH: partially update the specified ArtifactVersion
      • PUT: replace the specified ArtifactVersion
    • /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifactversions/{name}/status
      • GET: read status of the specified ArtifactVersion
      • PATCH: partially update status of the specified ArtifactVersion
      • PUT: replace status of the specified ArtifactVersion

    /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifactversions

    HTTP method
    DELETE
    Description
    delete collection of ArtifactVersion
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ArtifactVersion
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersionList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ArtifactVersion
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyArtifactVersion schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    201 - CreatedArtifactVersion schema
    202 - AcceptedArtifactVersion schema
    401 - UnauthorizedEmpty

    /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifactversions/{name}

    HTTP method
    DELETE
    Description
    delete the specified ArtifactVersion
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ArtifactVersion
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ArtifactVersion
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ArtifactVersion
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyArtifactVersion schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    201 - CreatedArtifactVersion schema
    401 - UnauthorizedEmpty

    /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifactversions/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ArtifactVersion
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ArtifactVersion
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ArtifactVersion
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyArtifactVersion schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactVersion schema
    201 - CreatedArtifactVersion schema
    401 - UnauthorizedEmpty